Subject: Re: [lojban] New to lojban, any suggestions?

From: Invent Yourself <[email-masked]>
Date: Mon, 13 Aug 2001 20:15:43 -0400 (EDT)

On Mon, 13 Aug 2001, Robin Lee Powell wrote:

> On Mon, Aug 13, 2001 at 07:07:00PM -0400, [email-masked] wrote:
> > In a message dated 8/13/2001 4:18:38 PM Central Daylight Time,
> > [email-masked] writes:
> >
> >
> > > It was an example. You're clear on the concept, yes?
> > >
> > > You said that my claim that there is functionality in Linux that Win*
> > > doesn't support was 'unlikely'. I gave you an example.
> > >
> > > It's not a matter of "I don't know how to do it". It's a matter of
> > > "It's impossible without altering the OS or programming in machine
> > > language to get around the OS".
> > >
> > > Counter-example.
> >
> > OK. Thank you, for adding the useful information -- what I asked for -- that
> > it genuinely is impossible. I won't ask to see the proof, since I probably
> > could not follow the details of the systems anyhow.
> >
> > Now for the deeper question: does this mean that MS can't do something that
> > Linux can. That is, is the function which MS can't compute an in=> out
> > function or one used in the internal operations of Linux? If the latter,
> > then no matter how hard it makes step-by-step emulation, it is ultimately not
> > a shortcoming of MS, if it can accomplish anything that Linux can using
> > another line of operation (abaci have lousy TM emulators, but still calculate
> > all the same functions). And, of course, it may make a difference in
> > efficiency of calculation as well. On the other hand, if it is an external
> > function that Linux can and MS can't calculate, that is a serious defect in
> > MS and worth some putdown points (unless there is a coounter case that MS can
> > and Linux can't compute).
>
> It's neither, really. It's a function of their security models, which
> are rather different, and their means of program execution.

Elaborating, Windows is based on DOS (no matter how much Redmond whines to
the contrary), which is a microcomputer OS, built for a single user and
for timespans of a workday or so. UNIX is a mainframe OS, designed from
the very start to handle massive systems & multiple users. Now that
desktops have evolved to be more powerful than even the mainframes for
which UNIX was designed, UNIX is a natural fit for them, while Windows is
a nasty kludge. (Cupertino had the good sense to jettison it's
microcomputer legacy and adopt UNIX.)

Anyway, this is the history behind why Windows can't "setuid", which is
very nice for security, and why all those Microsoft webservers are getting
raped so easily by that Code Red worm as you read this.

-----
"I have never been active in politics or in any act against occupation,
but the way the soldiers killed Mizyed has filled me with hatred and
anger. Now I'm ready to carry out a suicide attack inside Israel,"
one of the witnesses said.